### Function

# Gimp context_set_diagonal_neighbors

since: 2.10

#### Declaration [src]

    gboolean
    gimp_context_set_diagonal_neighbors (
      gboolean diagonal_neighbors
    )

#### Description [src]

Set the diagonal neighbors setting.

Modifies the diagonal neighbors setting. If the affected region of an operation is based on a seed point, like when doing a seed fill, then, when this setting is TRUE, all eight neighbors of each pixel are considered when calculating the affected region; in contrast, when this setting is FALSE, only the four orthogonal neighbors of each pixel are considered.

This setting affects the following procedures: gimp_image_select_contiguous_color(), gimp_drawable_edit_bucket_fill().

Available since: 2.10

#### Parameters

`diagonal_neighbors`

  Type: `gboolean`

  The diagonal neighbors setting.

#### Return value

Type: `gboolean`

TRUE on success.